Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.image.loader.batik
Class Graphics2DImagePainterImpl

    java.lang.Object
      org.apache.fop.image.loader.batik.Graphics2DImagePainterImpl

All Implemented Interfaces:
  org.apache.xmlgraphics.java2d.Graphics2DImagePainter

    public class Graphics2DImagePainterImpl

extends java.lang.Object
implements org.apache.xmlgraphics.java2d.Graphics2DImagePainter

A graphics 2D image painter implementation for painting SVG images using Batik.

Field Summary
`protected org.apache.batik.bridge.BridgeContext` | `ctx` the Batik bridge context
`protected java.awt.Dimension` | `imageSize` the intrinsic size of the image

Constructor Summary
`Graphics2DImagePainterImpl(org.apache.batik.gvt.GraphicsNode root, org.apache.batik.bridge.BridgeContext ctx, java.awt.Dimension imageSize)` Main constructor

Method Summary
`java.awt.Dimension` | `getImageSize()`
`void` | `paint(java.awt.Graphics2D g2d, java.awt.geom.Rectangle2D area)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    protected final org.apache.batik.bridge.BridgeContext ctx

  the Batik bridge context

### imageSize

    protected final java.awt.Dimension imageSize

  the intrinsic size of the image

Constructor Detail

### Graphics2DImagePainterImpl

    public Graphics2DImagePainterImpl(org.apache.batik.gvt.GraphicsNode root,
                                      org.apache.batik.bridge.BridgeContext ctx,
                                      java.awt.Dimension imageSize)

  Main constructor

  Parameters:
    `root` - the graphics node root
    `ctx` - the bridge context
    `imageSize` - the image size

Method Detail

### getImageSize

    public java.awt.Dimension getImageSize()

  Specified by:
    `getImageSize` in interface `org.apache.xmlgraphics.java2d.Graphics2DImagePainter`

### paint

    public void paint(java.awt.Graphics2D g2d,
                      java.awt.geom.Rectangle2D area)

  Specified by:
    `paint` in interface `org.apache.xmlgraphics.java2d.Graphics2DImagePainter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.